package com.usky.sas.common.dahua;

public class DahuaNvrInfo {
    private Long loginHandle;
    private int maxChannelNum;

    public DahuaNvrInfo() {
    }

    public Long getLoginHandle() {
        return this.loginHandle;
    }

    public int getMaxChannelNum() {
        return this.maxChannelNum;
    }

    public void setLoginHandle(Long loginHandle) {
        this.loginHandle = loginHandle;
    }

    public void setMaxChannelNum(int maxChannelNum) {
        this.maxChannelNum = maxChannelNum;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof DahuaNvrInfo)) {
            return false;
        } else {
            DahuaNvrInfo other = (DahuaNvrInfo)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$loginHandle = this.getLoginHandle();
                Object other$loginHandle = other.getLoginHandle();
                if (this$loginHandle == null) {
                    if (other$loginHandle != null) {
                        return false;
                    }
                } else if (!this$loginHandle.equals(other$loginHandle)) {
                    return false;
                }

                if (this.getMaxChannelNum() != other.getMaxChannelNum()) {
                    return false;
                } else {
                    return true;
                }
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof DahuaNvrInfo;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $loginHandle = this.getLoginHandle();
        result = result * 59 + ($loginHandle == null ? 43 : $loginHandle.hashCode());
        result = result * 59 + this.getMaxChannelNum();
        return result;
    }

    public String toString() {
        return "DahuaNvrInfo(loginHandle=" + this.getLoginHandle() + ", maxChannelNum=" + this.getMaxChannelNum() + ")";
    }
}
